package sharin.doc.builder.xhtml1;

import sharin.doc.builder.GenericXmlElem;

public class ParamElem extends GenericXmlElem<ParamElem> {

    public ParamElem(Object... nodes) {
        super("param", nodes);
    }

    public ParamElem id(Object value) {
        return attr("id", value);
    }

    public ParamElem name(Object value) {
        return attr("name", value);
    }

    public ParamElem type(Object value) {
        return attr("type", value);
    }

    public ParamElem value(Object value) {
        return attr("value", value);
    }

    public ParamElem valuetype(Object value) {
        return attr("valuetype", value);
    }

    public ParamElem valuetypeData() {
        return valuetype("data");
    }

    public ParamElem valuetypeObject() {
        return valuetype("object");
    }

    public ParamElem valuetypeRef() {
        return valuetype("ref");
    }
}
